<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ObservedItem extends Model
{
    use HasFactory;
    protected $guarded = ['id'];

    public function roadPatrol()
    {
        return $this->belongsTo(RoadPatrol::class);
    }

    public function roadItemProject()
    {
        return $this->belongsTo(RoadItemsProject::class, 'road_item_id');
    }
}
